-- MySQL dump 10.13  Distrib 8.0.17, for Linux (x86_64)
--
-- Host: localhost    Database: wyg
-- ------------------------------------------------------
-- Server version	8.0.17

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `element`
--

DROP TABLE IF EXISTS `element`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `element` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `templateHtml` text,
  `groupName` varchar(254) DEFAULT NULL,
  `friendlyName` varchar(254) DEFAULT NULL,
  `description` varchar(1024) DEFAULT NULL,
  `tagName` varchar(254) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1540 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `element`
--

LOCK TABLES `element` WRITE;
/*!40000 ALTER TABLE `element` DISABLE KEYS */;
INSERT INTO `element` VALUES (1285,'<applet>{{text}}</applet>','Embedded content','applet','The obsolete HTML Applet Element (<applet>) embeds a Java applet into the document; this element has been deprecated in favor of <object>.','applet'),(1286,'<embed>{{text}}</embed>','Embedded content','embed','The HTML <embed> element embeds external content at the specified point in the document. This content is provided by an external application or other source of interactive content such as a browser plug-in.','embed'),(1287,'<iframe>{{text}}</iframe>','Embedded content','iframe','The HTML Inline Frame element (<iframe>) represents a nested browsing context, embedding another HTML page into the current one.','iframe'),(1288,'<noembed>{{text}}</noembed>','Embedded content','noembed','The <noembed> element is an obsolete, non-standard way to provide alternative, or \"fallback\", content for browsers that do not support the <embed> element or do not support the type of embedded content an author wishes to use.','noembed'),(1289,'<object>{{text}}</object>','Embedded content','object','The HTML <object> element represents an external resource, which can be treated as an image, a nested browsing context, or a resource to be handled by a plugin.','object'),(1290,'<param>{{text}}</param>','Embedded content','param','The HTML <param> element defines parameters for an <object> element.','param'),(1291,'<picture>{{text}}</picture>','Embedded content','picture','The HTML <picture> element contains zero or more <source> elements and one <img> element to provide versions of an image for different display/device scenarios.','picture'),(1292,'<source>{{text}}</source>','Embedded content','source','The HTML <source> element specifies multiple media resources for the <picture>, the <audio> element, or the <video> element.','source'),(1293,'<caption>{{text}}</caption>','Table content','caption','The HTML Table Caption element (<caption>) specifies the caption (or title) of a table, and if used is always the first child of a <table>.','caption'),(1294,'<col>{{text}}</col>','Table content','col','The HTML <col> element defines a column within a table and is used for defining common semantics on all common cells. It is generally found within a <colgroup> element.','col'),(1295,'<colgroup>{{text}}</colgroup>','Table content','colgroup','The HTML <colgroup> element defines a group of columns within a table.','colgroup'),(1296,'<table>{{text}}</table>','Table content','table','The HTML <table> element represents tabular data — that is, information presented in a two-dimensional table comprised of rows and columns of cells containing data.','table'),(1297,'<tbody>{{text}}</tbody>','Table content','tbody','The HTML Table Body element (<tbody>) encapsulates a set of table rows (<tr> elements), indicating that they comprise the body of the table (<table>).','tbody'),(1298,'<td>{{text}}</td>','Table content','td','The HTML <td> element defines a cell of a table that contains data. It participates in the table model.','td'),(1299,'<tfoot>{{text}}</tfoot>','Table content','tfoot','The HTML <tfoot> element defines a set of rows summarizing the columns of the table.','tfoot'),(1300,'<th>{{text}}</th>','Table content','th','The HTML <th> element defines a cell as header of a group of table cells. The exact nature of this group is defined by the scope and headers attributes.','th'),(1301,'<thead>{{text}}</thead>','Table content','thead','The HTML <thead> element defines a set of rows defining the head of the columns of the table.','thead'),(1302,'<tr>{{text}}</tr>','Table content','tr','The HTML <tr> element defines a row of cells in a table. The row\'s cells can then be established using a mix of <td> (data cell) and <th> (header cell) elements.','tr'),(1303,'<button>{{text}}</button>','Forms','button','The HTML <button> element represents a clickable button, which can be used in forms or anywhere in a document that needs simple, standard button functionality.','button'),(1304,'<datalist>{{text}}</datalist>','Forms','datalist','The HTML <datalist> element contains a set of <option> elements that represent the values available for other controls.','datalist'),(1305,'<fieldset>{{text}}</fieldset>','Forms','fieldset','The HTML <fieldset> element is used to group several controls as well as labels (<label>) within a web form.','fieldset'),(1306,'<form>{{text}}</form>','Forms','form','The HTML <form> element represents a document section that contains interactive controls for submitting information to a web server.','form'),(1307,'<input>{{text}}</input>','Forms','input','The HTML <input> element is used to create interactive controls for web-based forms in order to accept data from the user; a wide variety of types of input data and control widgets are available, depending on the device and user agent.','input'),(1308,'<label>{{text}}</label>','Forms','label','The HTML <label> element represents a caption for an item in a user interface.','label'),(1309,'<legend>{{text}}</legend>','Forms','legend','The HTML <legend> element represents a caption for the content of its parent <fieldset>.','legend'),(1310,'<meter>{{text}}</meter>','Forms','meter','The HTML <meter> element represents either a scalar value within a known range or a fractional value.','meter'),(1311,'<optgroup>{{text}}</optgroup>','Forms','optgroup','The HTML <optgroup> element creates a grouping of options within a <select> element.','optgroup'),(1312,'<option>{{text}}</option>','Forms','option','The HTML <option> element is used to define an item contained in a <select>, an <optgroup>, or a <datalist> element. As such, <option> can represent menu items in popups and other lists of items in an HTML document.','option'),(1313,'<output>{{text}}</output>','Forms','output','The HTML Output element (<output>) is a container element into which a site or app can inject the results of a calculation or the outcome of a user action.','output'),(1314,'<progress>{{text}}</progress>','Forms','progress','The HTML <progress> element displays an indicator showing the completion progress of a task, typically displayed as a progress bar.','progress'),(1315,'<select>{{text}}</select>','Forms','select','The HTML <select> element represents a control that provides a menu of options','select'),(1316,'<textarea>{{text}}</textarea>','Forms','textarea','The HTML <textarea> element represents a multi-line plain-text editing control, useful when you want to allow users to enter a sizeable amount of free-form text, for example a comment on a review or feedback form.','textarea'),(1317,'<details>{{text}}</details>','Interactive elements','details','The HTML Details Element (<details>) creates a disclosure widget in which information is visible only when the widget is toggled into an \"open\" state.','details'),(1318,'<dialog>{{text}}</dialog>','Interactive elements','dialog','The HTML <dialog> element represents a dialog box or other interactive component, such as an inspector or window.','dialog'),(1319,'<menu>{{text}}</menu>','Interactive elements','menu','The HTML <menu> element represents a group of commands that a user can perform or activate. This includes both list menus, which might appear across the top of a screen, as well as context menus, such as those that might appear underneath a button after it has been clicked.','menu'),(1320,'<menuitem>{{text}}</menuitem>','Interactive elements','menuitem','The HTML <menuitem> element represents a command that a user is able to invoke through a popup menu. This includes context menus, as well as menus that might be attached to a menu button.','menuitem'),(1321,'<summary>{{text}}</summary>','Interactive elements','summary','The HTML Disclosure Summary element (<summary>) element specifies a summary, caption, or legend for a <details> element\'s disclosure box.','summary'),(1322,'<acronym>{{text}}</acronym>','Obsolete and deprecated elements','acronym','The HTML Acronym Element (<acronym>) allows authors to clearly indicate a sequence of characters that compose an acronym or abbreviation for a word. This element has been removed in HTML5. Use <abbr> instead.','acronym'),(1323,'<applet>{{text}}</applet>','Obsolete and deprecated elements','applet','The obsolete HTML Applet Element (<applet>) embeds a Java applet into the document; this element has been deprecated in favor of <object>.','applet'),(1324,'<basefont>{{text}}</basefont>','Obsolete and deprecated elements','basefont','The obsolete HTML Base Font element (<basefont>) sets a default font face, size, and color for the other elements which are descended from its parent element.','basefont'),(1325,'<bgsound>{{text}}</bgsound>','Obsolete and deprecated elements','bgsound','The Internet Explorer only HTML Background Sound element (<bgsound>) sets up a sound file to play in the background while the page is used; use <audio> instead.','bgsound'),(1326,'<big>{{text}}</big>','Obsolete and deprecated elements','big','The obsolete HTML Big Element (<big>) renders the enclosed text at a font size one level larger than the surrounding text (medium becomes large, for example).','big'),(1327,'<blink>{{text}}</blink>','Obsolete and deprecated elements','blink','The HTML Blink Element (<blink>) is a non-standard element which causes the enclosed text to flash slowly.','blink'),(1328,'<center>{{text}}</center>','Obsolete and deprecated elements','center','The obsolete HTML Center Element (<center>) is a block-level element that displays its block-level or inline contents centered horizontally within its containing element.','center'),(1329,'<command>{{text}}</command>','Obsolete and deprecated elements','command','The HTML Command element (<command>) represents a command which the user can invoke. Commands are often used as part of a context menu or toolbar.','command'),(1330,'<font>{{text}}</font>','Obsolete and deprecated elements','font','The HTML Font Element (<font>) defines the font size, color and face for its content.','font'),(1331,'<frame>{{text}}</frame>','Obsolete and deprecated elements','frame','<frame> is an HTML element which defines a particular area in which another HTML document can be displayed. A frame should be used within a <frameset>.','frame'),(1332,'<frameset>{{text}}</frameset>','Obsolete and deprecated elements','frameset','The HTML <frameset> element is used to contain <frame> elements.','frameset'),(1333,'<image>{{text}}</image>','Obsolete and deprecated elements','image','The obsolete HTML Image element (<image>) is an obsolete remnant of an ancient version of HTML lost in the mists of time; use the standard <img> element instead.','image'),(1334,'<isindex>{{text}}</isindex>','Obsolete and deprecated elements','isindex','<isindex> is an obsolete HTML element that puts a text field in a page for querying the document.','isindex'),(1335,'<keygen>{{text}}</keygen>','Obsolete and deprecated elements','keygen','The HTML <keygen> element exists to facilitate generation of key material, and submission of the public key as part of an HTML form. This mechanism is designed for use with Web-based certificate management systems. It is expected that the <keygen> element will be used in an HTML form along with other information needed to construct a certificate request, and that the result of the process will be a signed certificate.','keygen'),(1336,'<listing>{{text}}</listing>','Obsolete and deprecated elements','listing','The HTML Listing Element (<listing>) renders text between the start and end tags without interpreting the HTML in between and using a monospaced font. The HTML 2 standard recommended that lines shouldn\'t be broken when not greater than 132 characters.','listing'),(1337,'<marquee>{{text}}</marquee>','Obsolete and deprecated elements','marquee','The HTML <marquee> element is used to insert a scrolling area of text. You can control what happens when the text reaches the edges of its content area using its attributes.','marquee'),(1338,'<menuitem>{{text}}</menuitem>','Obsolete and deprecated elements','menuitem','The HTML <menuitem> element represents a command that a user is able to invoke through a popup menu. This includes context menus, as well as menus that might be attached to a menu button.','menuitem'),(1339,'<multicol>{{text}}</multicol>','Obsolete and deprecated elements','multicol','The HTML Multi-Column Layout element (<multicol>) was an experimental element designed to allow multi-column layouts and must not be used.','multicol'),(1340,'<nextid>{{text}}</nextid>','Obsolete and deprecated elements','nextid','<nextid> is an obsolete HTML element that served to enable the NeXT web designing tool to generate automatic NAME labels for its anchors.','nextid'),(1341,'<nobr>{{text}}</nobr>','Obsolete and deprecated elements','nobr','The non-standard, obsolete HTML <nobr> element prevents the text it contains from automatically wrapping across multiple lines, potentially resulting in the user having to scroll horizontally to see the entire width of the text.','nobr'),(1342,'<noembed>{{text}}</noembed>','Obsolete and deprecated elements','noembed','The <noembed> element is an obsolete, non-standard way to provide alternative, or \"fallback\", content for browsers that do not support the <embed> element or do not support the type of embedded content an author wishes to use.','noembed'),(1343,'<noframes>{{text}}</noframes>','Obsolete and deprecated elements','noframes','The obsolete HTML No Frames or frame fallback element, <noframes>, provides content to be presented in browsers that don\'t support (or have disabled support for) the <frame> element.','noframes'),(1344,'<plaintext>{{text}}</plaintext>','Obsolete and deprecated elements','plaintext','The HTML Plaintext Element (<plaintext>) renders everything following the start tag as raw text, ignoring any following HTML.','plaintext'),(1345,'<spacer>{{text}}</spacer>','Obsolete and deprecated elements','spacer','<spacer> is an obsolete HTML element which allowed insertion of empty spaces on pages. It was devised by Netscape to accomplish the same effect as a single-pixel layout image, which was something web designers used to use to add white spaces to web pages without actually using an image. However, <spacer> no longer supported by any major browser and the same effects can now be achieved using simple CSS.','spacer'),(1346,'<strike>{{text}}</strike>','Obsolete and deprecated elements','strike','The HTML <strike> element (or HTML Strikethrough Element) places a strikethrough (horizontal line) over text.','strike'),(1347,'<xmp>{{text}}</xmp>','Obsolete and deprecated elements','xmp','The HTML Example Element (<xmp>) renders text between the start and end tags without interpreting the HTML in between and using a monospaced font. The HTML2 specification recommended that it should be rendered wide enough to allow 80 characters per line.','xmp'),(1348,'<content>{{text}}</content>','Obsolete and deprecated elements','content','The HTML <content> element—an obsolete part of the Web Components suite of technologies—was used inside of Shadow DOM as an insertion point, and wasn\'t meant to be used in ordinary HTML.','content'),(1349,'<element>{{text}}</element>','Obsolete and deprecated elements','element','The obsolete HTML <element> element was part of the Web Components specification; it was intended to be used to define new custom DOM elements.','element'),(1350,'<shadow>{{text}}</shadow>','Obsolete and deprecated elements','shadow','The HTML <shadow> element—an obsolete part of the Web Components technology suite—was intended to be used as a shadow DOM insertion point.','shadow'),(1351,'<slot>{{text}}</slot>','Obsolete and deprecated elements','slot','The HTML <slot> element—part of the Web Components technology suite—is a placeholder inside a web component that you can fill with your own markup, which lets you create separate DOM trees and present them together.','slot'),(1352,'<template>{{text}}</template>','Obsolete and deprecated elements','template','The HTML Content Template (<template>) element is a mechanism for holding HTML that is not to be rendered immediately when a page is loaded but may be instantiated subsequently during runtime using JavaScript.','template'),(1353,'<dir>{{text}}</dir>','Obsolete and deprecated elements','dir','The obsolete HTML Directory element (<dir>) is used as a container for a directory of files and/or folders, potentially with styles and icons applied by the user agent.','dir'),(1354,'<tt>{{text}}</tt>','Obsolete and deprecated elements','tt','The obsolete HTML Teletype Text element (<tt>) creates inline text which is presented using the user agent\'s default monospace font face.','tt'),(1355,'<html>{{text}}</html>','HTML Sections','html','The HTML <html> element represents the root (top-level element) of an HTML document, so it is also referred to as the root element. All other elements must be descendants of this element.','html'),(1356,'<head>{{text}}</head>','HTML Sections','head','The HTML <head> element contains machine-readable information (metadata) about the document, like its title, scripts, and style sheets.','head'),(1357,'<footer>{{text}}</footer>','HTML Sections','footer','The HTML <footer> element represents a footer for its nearest sectioning content or sectioning root element. A footer typically contains information about the author of the section, copyright data or links to related documents.','footer'),(1358,'<header>{{text}}</header>','HTML Sections','header','The HTML <header> element represents introductory content, typically a group of introductory or navigational aids. It may contain some heading elements but also a logo, a search form, an author name, and other elements.','header'),(1359,'<aside>{{text}}</aside>','HTML Sections','aside','The HTML <aside> element represents a portion of a document whose content is only indirectly related to the document\'s main content.','aside'),(1360,'<main>{{text}}</main>','HTML Sections','main','The HTML <main> element represents the dominant content of the <body> of a document. The main content area consists of content that is directly related to or expands upon the central topic of a document, or the central functionality of an application.','main'),(1361,'<nav>{{text}}</nav>','HTML Sections','nav','The HTML <nav> element represents a section of a page whose purpose is to provide navigation links, either within the current document or to other documents. Common examples of navigation sections are menus, tables of contents, and indexes.','nav'),(1362,'<body>{{text}}</body>','HTML Sections','body','The HTML <body> Element represents the content of an HTML document. There can be only one <body> element in a document.','body'),(1363,'<section>{{text}}</section>','Structured Content','section','The HTML <section> element represents a standalone section — which doesn\'t have a more specific semantic element to represent it — contained within an HTML document.','section'),(1364,'<article>{{text}}</article>','Structured Content','article','The HTML <article> element represents a self-contained composition in a document, page, application, or site, which is intended to be independently distributable or reusable (e.g., in syndication).','article'),(1365,'<address>{{text}}</address>','Structured Content','address','The HTML <address> element indicates that the enclosed HTML provides contact information for a person or people, or for an organization.','address'),(1366,'<div>{{text}}</div>','Structured Content','div','The HTML Content Division element (<div>) is the generic container for flow content. It has no effect on the content or layout until styled using CSS.','div'),(1367,'<hr>{{text}}</hr>','Structured Content','hr','The HTML <hr> element represents a thematic break between paragraph-level elements: for example, a change of scene in a story, or a shift of topic within a section.','hr'),(1368,'<p>{{text}}</p>','Structured Content','p','The HTML <p> element represents a paragraph.','p'),(1369,'<pre>{{text}}</pre>','Structured Content','pre','The HTML <pre> element represents preformatted text which is to be presented exactly as written in the HTML file.','pre'),(1370,'<blockquote>{{text}}</blockquote>','Structured Content','blockquote','The HTML <blockquote> Element (or HTML Block Quotation Element) indicates that the enclosed text is an extended quotation. Usually, this is rendered visually by indentation (see Notes for how to change it). A URL for the source of the quotation may be given using the cite attribute, while a text representation of the source can be given using the <cite> element.','blockquote'),(1371,'<a>{{text}}</a>','Structured Content','a','The HTML <a> element (or anchor element), along with its href attribute, creates a hyperlink to other web pages, files, locations within the same page, email addresses, or any other URL.','a'),(1372,'<br>{{text}}</br>','Structured Content','br','The HTML <br> element produces a line break in text (carriage-return). It is useful for writing a poem or an address, where the division of lines is significant.','br'),(1373,'<cite>{{text}}</cite>','Structured Content','cite','The HTML Citation element (<cite>) is used to describe a reference to a cited creative work, and must include the title of that work.','cite'),(1374,'<code>{{text}}</code>','Structured Content','code','The HTML <code> element displays its contents styled in a fashion intended to indicate that the text is a short fragment of computer code.','code'),(1375,'<mark>{{text}}</mark>','Structured Content','mark','The HTML Mark Text element (<mark>) represents text which is marked or highlighted for reference or notation purposes, due to the marked passage\'s relevance or importance in the enclosing context.','mark'),(1376,'<q>{{text}}</q>','Structured Content','q','The HTML <q> element indicates that the enclosed text is a short inline quotation. Most modern browsers implement this by surrounding the text in quotation marks.','q'),(1377,'<samp>{{text}}</samp>','Structured Content','samp','The HTML Sample Element (<samp>) is used to enclose inline text which represents sample (or quoted) output from a computer program.','samp'),(1378,'<span>{{text}}</span>','Structured Content','span','The HTML <span> element is a generic inline container for phrasing content, which does not inherently represent anything. It can be used to group elements for styling purposes (using the class or id attributes), or because they share attribute values, such as lang.','span'),(1379,'<var>{{text}}</var>','Structured Content','var','The HTML Variable element (<var>) represents the name of a variable in a mathematical expression or a programming context.','var'),(1380,'<title>{{text}}</title>','Meta Data','title','The HTML Title element (<title>) defines the document\'s title that is shown in a browser\'s title bar or a page\'s tab.','title'),(1381,'<meta>{{text}}</meta>','Meta Data','meta','The HTML <meta> element represents metadata that cannot be represented by other HTML meta-related elements, like <base>, <link>, <script>, <style> or <title>.','meta'),(1382,'<base>{{text}}</base>','Meta Data','base','The HTML <base> element specifies the base URL to use for all relative URLs contained within a document. There can be only one <base> element in a document.','base'),(1383,'<time>{{text}}</time>','Meta Data','time','The HTML <time> element represents a specific period in time.','time'),(1384,'<data>{{text}}</data>','Meta Data','data','The HTML <data> element links a given content with a machine-readable translation. If the content is time- or date-related, the <time> element must be used.','data'),(1385,'<link>{{text}}</link>','Resources','link','The HTML External Resource Link element (<link>) specifies relationships between the current document and an external resource. This element is most commonly used to link to stylesheets, but is also used to establish site icons (both \"favicon\" style icons and icons for the home screen and apps on mobile devices) among other things.','link'),(1386,'<style>{{text}}</style>','Resources','style','The HTML <style> element contains style information for a document, or part of a document.','style'),(1387,'<script>{{text}}</script>','Resources','script','The HTML <script> element is used to embed or reference executable code; this is typically used to embed or refer to JavaScript code.','script'),(1388,'<canvas>{{text}}</canvas>','Resources','canvas','Use the HTML <canvas> element with either the canvas scripting API or the WebGL API to draw graphics and animations.','canvas'),(1389,'<noscript>{{text}}</noscript>','Resources','noscript','The HTML <noscript> element defines a section of HTML to be inserted if a script type on the page is unsupported or if scripting is currently turned off in the browser.','noscript'),(1390,'<img>{{text}}</img>','Resources','img','The HTML <img> element embeds an image into the document.','img'),(1391,'<audio>{{text}}</audio>','Resources','audio','The HTML <audio> element is used to embed sound content in documents. It may contain one or more audio sources, represented using the src attribute or the <source> element: the browser will choose the most suitable one. It can also be the destination for streamed media, using a MediaStream.','audio'),(1392,'<map>{{text}}</map>','Resources','map','The HTML <map> element is used with <area> elements to define an image map (a clickable link area).','map'),(1393,'<track>{{text}}</track>','Resources','track','The HTML <track> element is used as a child of the media elements <audio> and <video>. It lets you specify timed text tracks (or time-based data), for example to automatically handle subtitles. The tracks are formatted in WebVTT format (.vtt files) — Web Video Text Tracks or Timed Text Markup Language (TTML).','track'),(1394,'<video>{{text}}</video>','Resources','video','The HTML Video element (<video>) embeds a media player which supports video playback into the document.','video'),(1395,'<area>{{text}}</area>','Resources','area','The HTML <area> element defines a hot-spot region on an image, and optionally associates it with a hypertext link. This element is used only within a <map> element.','area'),(1396,'<hgroup>{{text}}</hgroup>','Headers','hgroup','The HTML <hgroup> element represents a multi-level heading for a section of a document. It groups a set of <h1>–<h6> elements.','hgroup'),(1397,'<h1>{{text}}</h1>','Headers','h1','The HTML <h1>–<h6> elements represent six levels of section headings. <h1> is the highest section level and <h6> is the lowest.','h1'),(1398,'<h2>{{text}}</h2>','Headers','h2','The HTML <h1>–<h6> elements represent six levels of section headings. <h1> is the highest section level and <h6> is the lowest.','h2'),(1399,'<h3>{{text}}</h3>','Headers','h3','The HTML <h1>–<h6> elements represent six levels of section headings. <h1> is the highest section level and <h6> is the lowest.','h3'),(1400,'<h4>{{text}}</h4>','Headers','h4','The HTML <h1>–<h6> elements represent six levels of section headings. <h1> is the highest section level and <h6> is the lowest.','h4'),(1401,'<h5>{{text}}</h5>','Headers','h5','The HTML <h1>–<h6> elements represent six levels of section headings. <h1> is the highest section level and <h6> is the lowest.','h5'),(1402,'<h6>{{text}}</h6>','Headers','h6','The HTML <h1>–<h6> elements represent six levels of section headings. <h1> is the highest section level and <h6> is the lowest.','h6'),(1403,'<dd>{{text}}</dd>','Lists','dd','The HTML <dd> element provides the description, definition, or value for the preceding term (<dt>) in a description list (<dl>).','dd'),(1404,'<dl>{{text}}</dl>','Lists','dl','The HTML <dl> element represents a description list. The element encloses a list of groups of terms (specified using the <dt> element) and descriptions (provided by <dd> elements). Common uses for this element are to implement a glossary or to display metadata (a list of key-value pairs).','dl'),(1405,'<dt>{{text}}</dt>','Lists','dt','The HTML <dt> element specifies a term in a description or definition list, and as such must be used inside a <dl> element.','dt'),(1406,'<li>{{text}}</li>','Lists','li','The HTML <li> element is used to represent an item in a list.','li'),(1407,'<ul>{{text}}</ul>','Lists','ul','The HTML <ul> element represents an unordered list of items, typically rendered as a bulleted list.','ul'),(1408,'<ol>{{text}}</ol>','Lists','ol','The HTML <ol> element represents an ordered list of items, typically rendered as a numbered list.','ol'),(1409,'<b>{{text}}</b>','Common Text Markup','b','The HTML Bring Attention To element (<b>)  is used to draw the reader\'s attention to the element\'s contents, which are not otherwise granted special importance.','b'),(1410,'<em>{{text}}</em>','Common Text Markup','em','The HTML <em> element marks text that has stress emphasis. The <em> element can be nested, with each level of nesting indicating a greater degree of emphasis.','em'),(1411,'<i>{{text}}</i>','Common Text Markup','i','The HTML <i> element represents a range of text that is set off from the normal text for some reason. Some examples include technical terms, foreign language phrases, or fictional character thoughts. It is typically displayed in italic type.','i'),(1412,'<small>{{text}}</small>','Common Text Markup','small','The HTML <small> element represents side-comments and small print, like copyright and legal text, independent of its styled presentation. By default, it renders text within it one font-size small, such as from small to x-small.','small'),(1413,'<sup>{{text}}</sup>','disregard','sup','The HTML Superscript element (<sup>) specifies inline text which is to be displayed as superscript for solely typographical reasons.','sup'),(1414,'<strong>{{text}}</strong>','Common Text Markup','strong','The HTML Strong Importance Element (<strong>) indicates that its contents have strong importance, seriousness, or urgency. Browsers typically render the contents in bold type.','strong'),(1415,'<sub>{{text}}</sub>','Common Text Markup','sub','The HTML Subscript element (<sub>) specifies inline text which should be displayed as subscript for solely typographical reasons.','sub'),(1416,'<del>{{text}}</del>','Common Text Markup','del','The HTML <del> element represents a range of text that has been deleted from a document.','del'),(1417,'<ins>{{text}}</ins>','Common Text Markup','ins','The HTML <ins> element represents a range of text that has been added to a document.','ins'),(1418,'<s>{{text}}</s>','disregard','s','The HTML <s> element renders text with a strikethrough, or a line through it. Use the <s> element to represent things that are no longer relevant or no longer accurate. However, <s> is not appropriate when indicating document edits; for that, use the <del> and <ins> elements, as appropriate.','s'),(1419,'<figcaption>{{text}}</figcaption>','Other, Rare','figcaption','The HTML <figcaption> or Figure Caption element represents a caption or legend describing the rest of the contents of its parent <figure> element.','figcaption'),(1420,'<figure>{{text}}</figure>','Other, Rare','figure','The HTML <figure> (Figure With Optional Caption) element represents self-contained content, potentially with an optional caption, which is specified using the (<figcaption>) element.','figure'),(1421,'<bdi>{{text}}</bdi>','Other, Rare','bdi','The HTML Bidirectional Isolate element (<bdi>)  tells the browser\'s bidirectional algorithm to treat the text it contains in isolation from its surrounding text.','bdi'),(1422,'<bdo>{{text}}</bdo>','Other, Rare','bdo','The HTML Bidirectional Text Override element (<bdo>) overrides the current directionality of text, so that the text within is rendered in a different direction.','bdo'),(1423,'<dfn>{{text}}</dfn>','Other, Rare','dfn','The HTML Definition element (<dfn>) is used to indicate the term being defined within the context of a definition phrase or sentence.','dfn'),(1424,'<kbd>{{text}}</kbd>','Other, Rare','kbd','The HTML Keyboard Input element (<kbd>) represents a span of inline text denoting textual user input from a keyboard, voice input, or any other text entry device.','kbd'),(1425,'<rb>{{text}}</rb>','Other, Rare','rb','The HTML Ruby Base (<rb>) element is used to delimit the base text component of a  <ruby> annotation, i.e. the text that is being annotated.','rb'),(1426,'<wbr>{{text}}</wbr>','Other, Rare','wbr','The HTML <wbr> element represents a word break opportunity—a position within text where the browser may optionally break a line, though its line-breaking rules would not otherwise create a break at that location.','wbr'),(1427,'<u>{{text}}</u>','Other, Rare','u','The HTML Unarticulated Annotation Element (<u>) represents a span of inline text which should be rendered in a way that indicates that it has a non-textual annotation.','u'),(1428,'<ruby>{{text}}</ruby>','Other, Rare','ruby','The HTML <ruby> element represents a ruby annotation. Ruby annotations are for showing pronunciation of East Asian characters.','ruby'),(1429,'<rt>{{text}}</rt>','Other, Rare','rt','The HTML Ruby Text (<rt>) element specifies the ruby text component of a ruby annotation, which is used to provide pronunciation, translation, or transliteration information for East Asian typography. The <rt> element must always be contained within a <ruby> element.','rt'),(1430,'<rtc>{{text}}</rtc>','Other, Rare','rtc','The HTML Ruby Text Container (<rtc>) element embraces semantic annotations of characters presented in a ruby of <rb> elements used inside of <ruby> element. <rb> elements can have both pronunciation (<rt>) and semantic (<rtc>) annotations.','rtc'),(1431,'<rp>{{text}}</rp>','Other, Rare','rp','The HTML Ruby Fallback Parenthesis (<rp>) element is used to provide fall-back parentheses for browsers that do not support display of ruby annotations using the <ruby> element.','rp'),(1432,'<abbr>{{text}}</abbr>','Other, Common','abbr','The HTML Abbreviation element (<abbr>) represents an abbreviation or acronym; the optional title attribute can provide an expansion or description for the abbreviation.','abbr'),(1433,'<custom_tag>{{text}}</custom_tag>','Form inputs','custom_tag','An input block for an email address','custom_tag'),(1434,'<custom_tag>{{text}}</custom_tag>','Form inputs','custom_tag','An input block for an email address','custom_tag'),(1435,'<custom_tag>{{text}}</custom_tag>','Form inputs','custom_tag','An input block for an email address','custom_tag'),(1436,'<custom_tag>{{text}}</custom_tag>','Custom','custom_tag','custom desscription','custom_tag'),(1437,'<custom_tag>{{text}}</custom_tag>','Custom','custom_tag','custom desscription','custom_tag'),(1438,'<custom_tag>{{text}}</custom_tag>','Custom','custom_tag','custom desscription','custom_tag'),(1439,'<custom_tag>{{text}}</custom_tag>','Custom','custom_tag','custom desscription','custom_tag');
/*!40000 ALTER TABLE `element` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `html_elements`
--

DROP TABLE IF EXISTS `html_elements`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `html_elements` (
  `templateId` int(11) NOT NULL AUTO_INCREMENT,
  `tagName` varchar(254) DEFAULT NULL,
  `description` varchar(2048) DEFAULT NULL,
  `groupName` varchar(254) DEFAULT NULL,
  `friendlyName` varchar(254) DEFAULT NULL,
  `templateHtml` text,
  `isContainer` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`templateId`)
) ENGINE=InnoDB AUTO_INCREMENT=156 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `html_elements`
--

LOCK TABLES `html_elements` WRITE;
/*!40000 ALTER TABLE `html_elements` DISABLE KEYS */;
INSERT INTO `html_elements` VALUES (1,'applet','The obsolete HTML Applet Element (<applet>) embeds a Java applet into the document; this element has been deprecated in favor of <object>.','Embedded content',NULL,'<applet>{{applet}}</applet>',NULL),(2,'embed','The HTML <embed> element embeds external content at the specified point in the document. This content is provided by an external application or other source of interactive content such as a browser plug-in.','Embedded content',NULL,'<embed>{{embed}}</embed>',NULL),(3,'iframe','The HTML Inline Frame element (<iframe>) represents a nested browsing context, embedding another HTML page into the current one.','Embedded content',NULL,'<iframe>{{iframe}}</iframe>',NULL),(4,'noembed','The <noembed> element is an obsolete, non-standard way to provide alternative, or \"fallback\", content for browsers that do not support the <embed> element or do not support the type of embedded content an author wishes to use.','Embedded content',NULL,'<noembed>{{noembed}}</noembed>',NULL),(5,'object','The HTML <object> element represents an external resource, which can be treated as an image, a nested browsing context, or a resource to be handled by a plugin.','Embedded content',NULL,'<object>{{object}}</object>',NULL),(6,'param','The HTML <param> element defines parameters for an <object> element.','Embedded content',NULL,'<param>{{param}}</param>',NULL),(7,'picture','The HTML <picture> element contains zero or more <source> elements and one <img> element to provide versions of an image for different display/device scenarios.','Embedded content',NULL,'<picture>{{picture}}</picture>',NULL),(8,'source','The HTML <source> element specifies multiple media resources for the <picture>, the <audio> element, or the <video> element.','Embedded content',NULL,'<source>{{source}}</source>',NULL),(9,'caption','The HTML Table Caption element (<caption>) specifies the caption (or title) of a table, and if used is always the first child of a <table>.','Table content',NULL,'<caption>{{caption}}</caption>',NULL),(10,'col','The HTML <col> element defines a column within a table and is used for defining common semantics on all common cells. It is generally found within a <colgroup> element.','Table content',NULL,'<col>{{col}}</col>',NULL),(11,'colgroup','The HTML <colgroup> element defines a group of columns within a table.','Table content',NULL,'<colgroup>{{colgroup}}</colgroup>',NULL),(12,'table','The HTML <table> element represents tabular data — that is, information presented in a two-dimensional table comprised of rows and columns of cells containing data.','Table content',NULL,'<table>{{table}}</table>',NULL),(13,'tbody','The HTML Table Body element (<tbody>) encapsulates a set of table rows (<tr> elements), indicating that they comprise the body of the table (<table>).','Table content',NULL,'<tbody>{{tbody}}</tbody>',NULL),(14,'td','The HTML <td> element defines a cell of a table that contains data. It participates in the table model.','Table content',NULL,'<td>{{td}}</td>',NULL),(15,'tfoot','The HTML <tfoot> element defines a set of rows summarizing the columns of the table.','Table content',NULL,'<tfoot>{{tfoot}}</tfoot>',NULL),(16,'th','The HTML <th> element defines a cell as header of a group of table cells. The exact nature of this group is defined by the scope and headers attributes.','Table content',NULL,'<th>{{th}}</th>',NULL),(17,'thead','The HTML <thead> element defines a set of rows defining the head of the columns of the table.','Table content',NULL,'<thead>{{thead}}</thead>',NULL),(18,'tr','The HTML <tr> element defines a row of cells in a table. The row\'s cells can then be established using a mix of <td> (data cell) and <th> (header cell) elements.','Table content',NULL,'<tr>{{tr}}</tr>',NULL),(19,'button','The HTML <button> element represents a clickable button, which can be used in forms or anywhere in a document that needs simple, standard button functionality.','Forms',NULL,'<button>{{button}}</button>',NULL),(20,'datalist','The HTML <datalist> element contains a set of <option> elements that represent the values available for other controls.','Forms',NULL,'<datalist>{{datalist}}</datalist>',NULL),(21,'fieldset','The HTML <fieldset> element is used to group several controls as well as labels (<label>) within a web form.','Forms','','<fieldset>{{fieldset}}</fieldset>',1),(22,'form','The HTML <form> element represents a document section that contains interactive controls for submitting information to a web server.','Forms','New Form','<form method=\"POST\" action=\"{{submission url}}\"><fieldset><legend>{{Form Name}}</legend>\r\n\r\n</form>',1),(23,'input','The HTML <input> element is used to create interactive controls for web-based forms in order to accept data from the user; a wide variety of types of input data and control widgets are available, depending on the device and user agent.','Forms','','<input type=\"{{type}}\" placeholder=\"{{placeholder}}\"/>',0),(24,'label','The HTML <label> element represents a caption for an item in a user interface.','Forms','Labeled Inupt','<label>{{label}}<br>\r\n<input type=\"{{type}}\" placeholder=\"{{hint}}\"></label>',1),(25,'legend','The HTML <legend> element represents a caption for the content of its parent <fieldset>.','Forms',NULL,'<legend>{{legend}}</legend>',NULL),(26,'meter','The HTML <meter> element represents either a scalar value within a known range or a fractional value.','Forms',NULL,'<meter>{{meter}}</meter>',NULL),(27,'optgroup','The HTML <optgroup> element creates a grouping of options within a <select> element.','Forms',NULL,'<optgroup>{{optgroup}}</optgroup>',NULL),(28,'option','The HTML <option> element is used to define an item contained in a <select>, an <optgroup>, or a <datalist> element. As such, <option> can represent menu items in popups and other lists of items in an HTML document.','Forms',NULL,'<option>{{option}}</option>',NULL),(29,'output','The HTML Output element (<output>) is a container element into which a site or app can inject the results of a calculation or the outcome of a user action.','Forms',NULL,'<output>{{output}}</output>',NULL),(30,'progress','The HTML <progress> element displays an indicator showing the completion progress of a task, typically displayed as a progress bar.','Forms',NULL,'<progress>{{progress}}</progress>',NULL),(31,'select','The HTML <select> element represents a control that provides a menu of options','Forms',NULL,'<select>{{select}}</select>',NULL),(32,'textarea','The HTML <textarea> element represents a multi-line plain-text editing control, useful when you want to allow users to enter a sizeable amount of free-form text, for example a comment on a review or feedback form.','Forms','','<textarea name=\"{{name}}\" placeholder=\"{{suggestion}}\">{{default text}}',0),(33,'details','The HTML Details Element (<details>) creates a disclosure widget in which information is visible only when the widget is toggled into an \"open\" state.','Interactive elements',NULL,'<details>{{details}}</details>',NULL),(34,'dialog','The HTML <dialog> element represents a dialog box or other interactive component, such as an inspector or window.','Interactive elements',NULL,'<dialog>{{dialog}}</dialog>',NULL),(35,'menu','The HTML <menu> element represents a group of commands that a user can perform or activate. This includes both list menus, which might appear across the top of a screen, as well as context menus, such as those that might appear underneath a button after it has been clicked.','Interactive elements',NULL,'<menu>{{menu}}</menu>',NULL),(36,'menuitem','The HTML <menuitem> element represents a command that a user is able to invoke through a popup menu. This includes context menus, as well as menus that might be attached to a menu button.','Interactive elements',NULL,'<menuitem>{{menuitem}}</menuitem>',NULL),(37,'summary','The HTML Disclosure Summary element (<summary>) element specifies a summary, caption, or legend for a <details> element\'s disclosure box.','Interactive elements',NULL,'<summary>{{summary}}</summary>',NULL),(38,'acronym','The HTML Acronym Element (<acronym>) allows authors to clearly indicate a sequence of characters that compose an acronym or abbreviation for a word. This element has been removed in HTML5. Use <abbr> instead.','Obsolete and deprecated elements',NULL,'<acronym>{{acronym}}</acronym>',NULL),(39,'applet','The obsolete HTML Applet Element (<applet>) embeds a Java applet into the document; this element has been deprecated in favor of <object>.','Obsolete and deprecated elements',NULL,'<applet>{{applet}}</applet>',NULL),(40,'basefont','The obsolete HTML Base Font element (<basefont>) sets a default font face, size, and color for the other elements which are descended from its parent element.','Obsolete and deprecated elements',NULL,'<basefont>{{basefont}}</basefont>',NULL),(41,'bgsound','The Internet Explorer only HTML Background Sound element (<bgsound>) sets up a sound file to play in the background while the page is used; use <audio> instead.','Obsolete and deprecated elements',NULL,'<bgsound>{{bgsound}}</bgsound>',NULL),(42,'big','The obsolete HTML Big Element (<big>) renders the enclosed text at a font size one level larger than the surrounding text (medium becomes large, for example).','Obsolete and deprecated elements',NULL,'<big>{{big}}</big>',NULL),(43,'blink','The HTML Blink Element (<blink>) is a non-standard element which causes the enclosed text to flash slowly.','Obsolete and deprecated elements',NULL,'<blink>{{blink}}</blink>',NULL),(44,'center','The obsolete HTML Center Element (<center>) is a block-level element that displays its block-level or inline contents centered horizontally within its containing element.','Obsolete and deprecated elements',NULL,'<center>{{center}}</center>',NULL),(45,'command','The HTML Command element (<command>) represents a command which the user can invoke. Commands are often used as part of a context menu or toolbar.','Obsolete and deprecated elements',NULL,'<command>{{command}}</command>',NULL),(46,'font','The HTML Font Element (<font>) defines the font size, color and face for its content.','Obsolete and deprecated elements',NULL,'<font>{{font}}</font>',NULL),(47,'frame','<frame> is an HTML element which defines a particular area in which another HTML document can be displayed. A frame should be used within a <frameset>.','Obsolete and deprecated elements',NULL,'<frame>{{frame}}</frame>',NULL),(48,'frameset','The HTML <frameset> element is used to contain <frame> elements.','Obsolete and deprecated elements',NULL,'<frameset>{{frameset}}</frameset>',NULL),(49,'image','The obsolete HTML Image element (<image>) is an obsolete remnant of an ancient version of HTML lost in the mists of time; use the standard <img> element instead.','Obsolete and deprecated elements',NULL,'<image>{{image}}</image>',NULL),(50,'isindex','<isindex> is an obsolete HTML element that puts a text field in a page for querying the document.','Obsolete and deprecated elements',NULL,'<isindex>{{isindex}}</isindex>',NULL),(51,'keygen','The HTML <keygen> element exists to facilitate generation of key material, and submission of the public key as part of an HTML form. This mechanism is designed for use with Web-based certificate management systems. It is expected that the <keygen> element will be used in an HTML form along with other information needed to construct a certificate request, and that the result of the process will be a signed certificate.','Obsolete and deprecated elements',NULL,'<keygen>{{keygen}}</keygen>',NULL),(52,'listing','The HTML Listing Element (<listing>) renders text between the start and end tags without interpreting the HTML in between and using a monospaced font. The HTML 2 standard recommended that lines shouldn\'t be broken when not greater than 132 characters.','Obsolete and deprecated elements',NULL,'<listing>{{listing}}</listing>',NULL),(53,'marquee','The HTML <marquee> element is used to insert a scrolling area of text. You can control what happens when the text reaches the edges of its content area using its attributes.','Obsolete and deprecated elements',NULL,'<marquee>{{marquee}}</marquee>',NULL),(54,'menuitem','The HTML <menuitem> element represents a command that a user is able to invoke through a popup menu. This includes context menus, as well as menus that might be attached to a menu button.','Obsolete and deprecated elements',NULL,'<menuitem>{{menuitem}}</menuitem>',NULL),(55,'multicol','The HTML Multi-Column Layout element (<multicol>) was an experimental element designed to allow multi-column layouts and must not be used.','Obsolete and deprecated elements',NULL,'<multicol>{{multicol}}</multicol>',NULL),(56,'nextid','<nextid> is an obsolete HTML element that served to enable the NeXT web designing tool to generate automatic NAME labels for its anchors.','Obsolete and deprecated elements',NULL,'<nextid>{{nextid}}</nextid>',NULL),(57,'nobr','The non-standard, obsolete HTML <nobr> element prevents the text it contains from automatically wrapping across multiple lines, potentially resulting in the user having to scroll horizontally to see the entire width of the text.','Obsolete and deprecated elements',NULL,'<nobr>{{nobr}}</nobr>',NULL),(58,'noembed','The <noembed> element is an obsolete, non-standard way to provide alternative, or \"fallback\", content for browsers that do not support the <embed> element or do not support the type of embedded content an author wishes to use.','Obsolete and deprecated elements',NULL,'<noembed>{{noembed}}</noembed>',NULL),(59,'noframes','The obsolete HTML No Frames or frame fallback element, <noframes>, provides content to be presented in browsers that don\'t support (or have disabled support for) the <frame> element.','Obsolete and deprecated elements',NULL,'<noframes>{{noframes}}</noframes>',NULL),(60,'plaintext','The HTML Plaintext Element (<plaintext>) renders everything following the start tag as raw text, ignoring any following HTML.','Obsolete and deprecated elements',NULL,'<plaintext>{{plaintext}}</plaintext>',NULL),(61,'spacer','<spacer> is an obsolete HTML element which allowed insertion of empty spaces on pages. It was devised by Netscape to accomplish the same effect as a single-pixel layout image, which was something web designers used to use to add white spaces to web pages without actually using an image. However, <spacer> no longer supported by any major browser and the same effects can now be achieved using simple CSS.','Obsolete and deprecated elements',NULL,'<spacer>{{spacer}}</spacer>',NULL),(62,'strike','The HTML <strike> element (or HTML Strikethrough Element) places a strikethrough (horizontal line) over text.','Obsolete and deprecated elements',NULL,'<strike>{{strike}}</strike>',NULL),(63,'xmp','The HTML Example Element (<xmp>) renders text between the start and end tags without interpreting the HTML in between and using a monospaced font. The HTML2 specification recommended that it should be rendered wide enough to allow 80 characters per line.','Obsolete and deprecated elements',NULL,'<xmp>{{xmp}}</xmp>',NULL),(64,'content','The HTML <content> element—an obsolete part of the Web Components suite of technologies—was used inside of Shadow DOM as an insertion point, and wasn\'t meant to be used in ordinary HTML.','Obsolete and deprecated elements',NULL,'<content>{{content}}</content>',NULL),(65,'element','The obsolete HTML <element> element was part of the Web Components specification; it was intended to be used to define new custom DOM elements.','Obsolete and deprecated elements',NULL,'<element>{{element}}</element>',NULL),(66,'shadow','The HTML <shadow> element—an obsolete part of the Web Components technology suite—was intended to be used as a shadow DOM insertion point.','Obsolete and deprecated elements',NULL,'<shadow>{{shadow}}</shadow>',NULL),(67,'slot','The HTML <slot> element—part of the Web Components technology suite—is a placeholder inside a web component that you can fill with your own markup, which lets you create separate DOM trees and present them together.','Obsolete and deprecated elements',NULL,'<slot>{{slot}}</slot>',NULL),(68,'template','The HTML Content Template (<template>) element is a mechanism for holding HTML that is not to be rendered immediately when a page is loaded but may be instantiated subsequently during runtime using JavaScript.','Obsolete and deprecated elements',NULL,'<template>{{template}}</template>',NULL),(69,'dir','The obsolete HTML Directory element (<dir>) is used as a container for a directory of files and/or folders, potentially with styles and icons applied by the user agent.','Obsolete and deprecated elements',NULL,'<dir>{{dir}}</dir>',NULL),(70,'tt','The obsolete HTML Teletype Text element (<tt>) creates inline text which is presented using the user agent\'s default monospace font face.','Obsolete and deprecated elements',NULL,'<tt>{{tt}}</tt>',NULL),(71,'html','The HTML <html> element represents the root (top-level element) of an HTML document, so it is also referred to as the root element. All other elements must be descendants of this element.','HTML Sections',NULL,'<html>{{html}}</html>',NULL),(72,'head','The HTML <head> element contains machine-readable information (metadata) about the document, like its title, scripts, and style sheets.','HTML Sections',NULL,'<head>{{head}}</head>',NULL),(73,'footer','The HTML <footer> element represents a footer for its nearest sectioning content or sectioning root element. A footer typically contains information about the author of the section, copyright data or links to related documents.','HTML Sections',NULL,'<footer>{{footer}}</footer>',NULL),(74,'header','The HTML <header> element represents introductory content, typically a group of introductory or navigational aids. It may contain some heading elements but also a logo, a search form, an author name, and other elements.','HTML Sections',NULL,'<header>{{header}}</header>',NULL),(75,'aside','The HTML <aside> element represents a portion of a document whose content is only indirectly related to the document\'s main content.','HTML Sections',NULL,'<aside>{{aside}}</aside>',NULL),(76,'main','The HTML <main> element represents the dominant content of the <body> of a document. The main content area consists of content that is directly related to or expands upon the central topic of a document, or the central functionality of an application.','HTML Sections',NULL,'<main>{{main}}</main>',NULL),(77,'nav','The HTML <nav> element represents a section of a page whose purpose is to provide navigation links, either within the current document or to other documents. Common examples of navigation sections are menus, tables of contents, and indexes.','HTML Sections','','<nav>{{nav}}</nav>',1),(78,'body','The HTML <body> Element represents the content of an HTML document. There can be only one <body> element in a document.','HTML Sections',NULL,'<body>{{body}}</body>',NULL),(79,'section','The HTML <section> element represents a standalone section — which doesn\'t have a more specific semantic element to represent it — contained within an HTML document.','Structured Content','','<section>{{section}}</section>',1),(80,'article','The HTML <article> element represents a self-contained composition in a document, page, application, or site, which is intended to be independently distributable or reusable (e.g., in syndication).','Structured Content','','<article>{{article}}</article>',1),(81,'address','The HTML <address> element indicates that the enclosed HTML provides contact information for a person or people, or for an organization.','Structured Content',NULL,'<address>{{address}}</address>',NULL),(82,'div','The HTML Content Division element (<div>) is the generic container for flow content. It has no effect on the content or layout until styled using CSS.','Structured Content',NULL,'<div>{{div}}</div>',NULL),(83,'hr','The HTML <hr> element represents a thematic break between paragraph-level elements: for example, a change of scene in a story, or a shift of topic within a section.','Structured Content',NULL,'<hr>{{hr}}</hr>',NULL),(84,'p','The HTML <p> element represents a paragraph.','Structured Content',NULL,'<p>{{p}}</p>',NULL),(85,'pre','The HTML <pre> element represents preformatted text which is to be presented exactly as written in the HTML file.','Structured Content','','<pre>{{pre}}</pre>',1),(86,'blockquote','The HTML <blockquote> Element (or HTML Block Quotation Element) indicates that the enclosed text is an extended quotation. Usually, this is rendered visually by indentation (see Notes for how to change it). A URL for the source of the quotation may be given using the cite attribute, while a text representation of the source can be given using the <cite> element.','Structured Content',NULL,'<blockquote>{{blockquote}}</blockquote>',NULL),(87,'a','The HTML <a> element (or anchor element), along with its href attribute, creates a hyperlink to other web pages, files, locations within the same page, email addresses, or any other URL.','Structured Content','','<a href=\"{{url}}\">{{Link Name}}</a>',0),(88,'br','The HTML <br> element produces a line break in text (carriage-return). It is useful for writing a poem or an address, where the division of lines is significant.','Structured Content',NULL,'<br>{{br}}</br>',NULL),(89,'cite','The HTML Citation element (<cite>) is used to describe a reference to a cited creative work, and must include the title of that work.','Structured Content',NULL,'<cite>{{cite}}</cite>',NULL),(90,'code','The HTML <code> element displays its contents styled in a fashion intended to indicate that the text is a short fragment of computer code.','Structured Content',NULL,'<code>{{code}}</code>',NULL),(91,'mark','The HTML Mark Text element (<mark>) represents text which is marked or highlighted for reference or notation purposes, due to the marked passage\'s relevance or importance in the enclosing context.','Structured Content',NULL,'<mark>{{mark}}</mark>',NULL),(92,'q','The HTML <q> element indicates that the enclosed text is a short inline quotation. Most modern browsers implement this by surrounding the text in quotation marks.','Structured Content',NULL,'<q>{{q}}</q>',NULL),(93,'samp','The HTML Sample Element (<samp>) is used to enclose inline text which represents sample (or quoted) output from a computer program.','Structured Content',NULL,'<samp>{{samp}}</samp>',NULL),(94,'span','The HTML <span> element is a generic inline container for phrasing content, which does not inherently represent anything. It can be used to group elements for styling purposes (using the class or id attributes), or because they share attribute values, such as lang.','Structured Content',NULL,'<span>{{span}}</span>',NULL),(95,'var','The HTML Variable element (<var>) represents the name of a variable in a mathematical expression or a programming context.','Structured Content',NULL,'<var>{{var}}</var>',NULL),(96,'title','The HTML Title element (<title>) defines the document\'s title that is shown in a browser\'s title bar or a page\'s tab.','Meta Data',NULL,'<title>{{title}}</title>',NULL),(97,'meta','The HTML <meta> element represents metadata that cannot be represented by other HTML meta-related elements, like <base>, <link>, <script>, <style> or <title>.','Meta Data',NULL,'<meta>{{meta}}</meta>',NULL),(98,'base','The HTML <base> element specifies the base URL to use for all relative URLs contained within a document. There can be only one <base> element in a document.','Meta Data',NULL,'<base>{{base}}</base>',NULL),(99,'time','The HTML <time> element represents a specific period in time.','Meta Data',NULL,'<time>{{time}}</time>',NULL),(100,'data','The HTML <data> element links a given content with a machine-readable translation. If the content is time- or date-related, the <time> element must be used.','Meta Data',NULL,'<data>{{data}}</data>',NULL),(101,'link','The HTML External Resource Link element (<link>) specifies relationships between the current document and an external resource. This element is most commonly used to link to stylesheets, but is also used to establish site icons (both \"favicon\" style icons and icons for the home screen and apps on mobile devices) among other things.','Resources',NULL,'<link>{{link}}</link>',NULL),(102,'style','The HTML <style> element contains style information for a document, or part of a document.','Resources',NULL,'<style>{{style}}</style>',NULL),(103,'script','The HTML <script> element is used to embed or reference executable code; this is typically used to embed or refer to JavaScript code.','Resources',NULL,'<script>{{script}}</script>',NULL),(104,'canvas','Use the HTML <canvas> element with either the canvas scripting API or the WebGL API to draw graphics and animations.','Resources',NULL,'<canvas>{{canvas}}</canvas>',NULL),(105,'noscript','The HTML <noscript> element defines a section of HTML to be inserted if a script type on the page is unsupported or if scripting is currently turned off in the browser.','Resources',NULL,'<noscript>{{noscript}}</noscript>',NULL),(106,'img','The HTML <img> element embeds an image into the document.','Resources','Image','<img src=\"{{image url}}\" alt=\"{{image description}}\" />',0),(107,'audio','The HTML <audio> element is used to embed sound content in documents. It may contain one or more audio sources, represented using the src attribute or the <source> element: the browser will choose the most suitable one. It can also be the destination for streamed media, using a MediaStream.','Resources',NULL,'<audio>{{audio}}</audio>',NULL),(108,'map','The HTML <map> element is used with <area> elements to define an image map (a clickable link area).','Resources',NULL,'<map>{{map}}</map>',NULL),(109,'track','The HTML <track> element is used as a child of the media elements <audio> and <video>. It lets you specify timed text tracks (or time-based data), for example to automatically handle subtitles. The tracks are formatted in WebVTT format (.vtt files) — Web Video Text Tracks or Timed Text Markup Language (TTML).','Resources',NULL,'<track>{{track}}</track>',NULL),(110,'video','The HTML Video element (<video>) embeds a media player which supports video playback into the document.','Resources',NULL,'<video>{{video}}</video>',NULL),(111,'area','The HTML <area> element defines a hot-spot region on an image, and optionally associates it with a hypertext link. This element is used only within a <map> element.','Resources',NULL,'<area>{{area}}</area>',NULL),(112,'hgroup','The HTML <hgroup> element represents a multi-level heading for a section of a document. It groups a set of <h1>–<h6> elements.','Headers',NULL,'<hgroup>{{hgroup}}</hgroup>',NULL),(113,'h1','The HTML <h1>–<h6> elements represent six levels of section headings. <h1> is the highest section level and <h6> is the lowest.','Headers',NULL,'<h1>{{h1}}</h1>',NULL),(114,'h2','The HTML <h1>–<h6> elements represent six levels of section headings. <h1> is the highest section level and <h6> is the lowest.','Headers',NULL,'<h2>{{h2}}</h2>',NULL),(115,'h3','The HTML <h1>–<h6> elements represent six levels of section headings. <h1> is the highest section level and <h6> is the lowest.','Headers',NULL,'<h3>{{h3}}</h3>',NULL),(116,'h4','The HTML <h1>–<h6> elements represent six levels of section headings. <h1> is the highest section level and <h6> is the lowest.','Headers',NULL,'<h4>{{h4}}</h4>',NULL),(117,'h5','The HTML <h1>–<h6> elements represent six levels of section headings. <h1> is the highest section level and <h6> is the lowest.','Headers',NULL,'<h5>{{h5}}</h5>',NULL),(118,'h6','The HTML <h1>–<h6> elements represent six levels of section headings. <h1> is the highest section level and <h6> is the lowest.','Headers',NULL,'<h6>{{h6}}</h6>',NULL),(119,'dd','The HTML <dd> element provides the description, definition, or value for the preceding term (<dt>) in a description list (<dl>).','Lists',NULL,'<dd>{{dd}}</dd>',NULL),(120,'dl','The HTML <dl> element represents a description list. The element encloses a list of groups of terms (specified using the <dt> element) and descriptions (provided by <dd> elements). Common uses for this element are to implement a glossary or to display metadata (a list of key-value pairs).','Lists',NULL,'<dl>{{dl}}</dl>',NULL),(121,'dt','The HTML <dt> element specifies a term in a description or definition list, and as such must be used inside a <dl> element.','Lists',NULL,'<dt>{{dt}}</dt>',NULL),(122,'li','The HTML <li> element is used to represent an item in a list.','Lists','List Item','<li>{{li}}</li>',1),(123,'ul','The HTML <ul> element represents an unordered list of items, typically rendered as a bulleted list.','Lists','bulleted list','<ul>{{ul}}</ul>',1),(124,'ol','The HTML <ol> element represents an ordered list of items, typically rendered as a numbered list.','Lists','Numbered List','<ol>{{ol}}</ol>',1),(125,'b','The HTML Bring Attention To element (<b>)  is used to draw the reader\'s attention to the element\'s contents, which are not otherwise granted special importance.','Common Text Markup','Bold','<b>{{b}}</b>',NULL),(126,'em','The HTML <em> element marks text that has stress emphasis. The <em> element can be nested, with each level of nesting indicating a greater degree of emphasis.','Common Text Markup','Emphasis','<em>{{em}}</em>',NULL),(127,'i','The HTML <i> element represents a range of text that is set off from the normal text for some reason. Some examples include technical terms, foreign language phrases, or fictional character thoughts. It is typically displayed in italic type.','Common Text Markup',NULL,'<i>{{i}}</i>',NULL),(128,'small','The HTML <small> element represents side-comments and small print, like copyright and legal text, independent of its styled presentation. By default, it renders text within it one font-size small, such as from small to x-small.','Common Text Markup',NULL,'<small>{{small}}</small>',NULL),(129,'sup','The HTML Superscript element (<sup>) specifies inline text which is to be displayed as superscript for solely typographical reasons.','disregard','Supertext','<sup>{{sup}}</sup>',NULL),(130,'strong','The HTML Strong Importance Element (<strong>) indicates that its contents have strong importance, seriousness, or urgency. Browsers typically render the contents in bold type.','Common Text Markup','Strong','<strong>{{strong}}</strong>',NULL),(131,'sub','The HTML Subscript element (<sub>) specifies inline text which should be displayed as subscript for solely typographical reasons.','Common Text Markup',NULL,'<sub>{{sub}}</sub>',NULL),(132,'del','The HTML <del> element represents a range of text that has been deleted from a document.','Common Text Markup',NULL,'<del>{{del}}</del>',NULL),(133,'ins','The HTML <ins> element represents a range of text that has been added to a document.','Common Text Markup',NULL,'<ins>{{ins}}</ins>',NULL),(134,'s','The HTML <s> element renders text with a strikethrough, or a line through it. Use the <s> element to represent things that are no longer relevant or no longer accurate. However, <s> is not appropriate when indicating document edits; for that, use the <del> and <ins> elements, as appropriate.','disregard','strikethrough','<s>{{s}}</s>',NULL),(135,'figcaption','The HTML <figcaption> or Figure Caption element represents a caption or legend describing the rest of the contents of its parent <figure> element.','Other, Rare',NULL,'<figcaption>{{figcaption}}</figcaption>',NULL),(136,'figure','The HTML <figure> (Figure With Optional Caption) element represents self-contained content, potentially with an optional caption, which is specified using the (<figcaption>) element.','Other, Rare',NULL,'<figure>{{figure}}</figure>',NULL),(137,'bdi','The HTML Bidirectional Isolate element (<bdi>)  tells the browser\'s bidirectional algorithm to treat the text it contains in isolation from its surrounding text.','Other, Rare',NULL,'<bdi>{{bdi}}</bdi>',NULL),(138,'bdo','The HTML Bidirectional Text Override element (<bdo>) overrides the current directionality of text, so that the text within is rendered in a different direction.','Other, Rare',NULL,'<bdo>{{bdo}}</bdo>',NULL),(139,'dfn','The HTML Definition element (<dfn>) is used to indicate the term being defined within the context of a definition phrase or sentence.','Other, Rare',NULL,'<dfn>{{dfn}}</dfn>',NULL),(140,'kbd','The HTML Keyboard Input element (<kbd>) represents a span of inline text denoting textual user input from a keyboard, voice input, or any other text entry device.','Other, Rare',NULL,'<kbd>{{kbd}}</kbd>',NULL),(141,'rb','The HTML Ruby Base (<rb>) element is used to delimit the base text component of a  <ruby> annotation, i.e. the text that is being annotated.','Other, Rare',NULL,'<rb>{{rb}}</rb>',NULL),(142,'wbr','The HTML <wbr> element represents a word break opportunity—a position within text where the browser may optionally break a line, though its line-breaking rules would not otherwise create a break at that location.','Other, Rare',NULL,'<wbr>{{wbr}}</wbr>',NULL),(143,'u','The HTML Unarticulated Annotation Element (<u>) represents a span of inline text which should be rendered in a way that indicates that it has a non-textual annotation.','Other, Rare',NULL,'<u>{{u}}</u>',NULL),(144,'ruby','The HTML <ruby> element represents a ruby annotation. Ruby annotations are for showing pronunciation of East Asian characters.','Other, Rare',NULL,'<ruby>{{ruby}}</ruby>',NULL),(145,'rt','The HTML Ruby Text (<rt>) element specifies the ruby text component of a ruby annotation, which is used to provide pronunciation, translation, or transliteration information for East Asian typography. The <rt> element must always be contained within a <ruby> element.','Other, Rare',NULL,'<rt>{{rt}}</rt>',NULL),(146,'rtc','The HTML Ruby Text Container (<rtc>) element embraces semantic annotations of characters presented in a ruby of <rb> elements used inside of <ruby> element. <rb> elements can have both pronunciation (<rt>) and semantic (<rtc>) annotations.','Other, Rare',NULL,'<rtc>{{rtc}}</rtc>',NULL),(147,'rp','The HTML Ruby Fallback Parenthesis (<rp>) element is used to provide fall-back parentheses for browsers that do not support display of ruby annotations using the <ruby> element.','Other, Rare',NULL,'<rp>{{rp}}</rp>',NULL),(148,'abbr','The HTML Abbreviation element (<abbr>) represents an abbreviation or acronym; the optional title attribute can provide an expansion or description for the abbreviation.','Other, Common',NULL,'<abbr>{{abbr}}</abbr>',NULL),(149,'custom_tag','An input block for an email address','Form inputs','Email Input','<label>Email<br><input type=\"email\" placeholder=\"email_address@website.com\"></label>',0),(150,'custom_tag','An input block for an email address','Form inputs','Email Input','<label>Email<br><input type=\"email\" placeholder=\"email_address@website.com\"></label>',0),(151,'custom_tag','An input block for an email address','Form inputs','Email Input','<label>Email<br><input type=\"email\" placeholder=\"email_address@website.com\"></label>',0),(152,'custom_tag','custom desscription','Custom','','<span><input type=\"{{type}}\" placeholder=\"{{placeholder}}\" data-templateid=\"23\"><input type=\"{{type}}\" placeholder=\"{{placeholder}}\" data-templateid=\"23\"></span>',0),(153,'custom_tag','custom desscription','Custom','','<form><legend>{{legend}}</legend></form>',0),(154,'custom_tag','custom desscription','Custom','Article','<article style=\"background-color: lightblue;\"><h1 style=\"\">{{Heading}}</h1>{{article}}<img></article>',0),(155,'custom_tag','custom desscription','Custom','Article','<article style=\"background-color: lightblue;\"><h1 style=\"\">{{Heading}}</h1><img src=\"{{image url}}\" alt=\"{{image description}}\" style=\"background-color: lightblue;\">{{article}}</article>',0);
/*!40000 ALTER TABLE `html_elements` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `template`
--

DROP TABLE IF EXISTS `template`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `template` (
  `id` int(11) NOT NULL DEFAULT '0',
  `templateHtml` text,
  `groupName` varchar(254) DEFAULT NULL,
  `friendlyName` varchar(254) DEFAULT NULL,
  `description` varchar(1024) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `template`
--

LOCK TABLES `template` WRITE;
/*!40000 ALTER TABLE `template` DISABLE KEYS */;
INSERT INTO `template` VALUES (0,'<span><form>{{text}}</form><fieldset>{{text}}</fieldset><label>{{text}}</label><input></span>','Custom','bad form','custom desscription'),(0,'<span><form>{{text}}</form><input><input><input></span>','Custom Template','terrble form','custom description');
/*!40000 ALTER TABLE `template` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2019-09-14 17:21:55
